<template>
    <v-tooltip right :open-on-hover="item.title !== undefined && $vuetify.breakpoint.mdAndDown">
        <template v-slot:activator="{ on, attrs }">
            <div v-bind="attrs" v-on="on">
                <v-hover v-slot="{ hover }">
                    <v-list-item v-on="vOn" v-bind="bind" :class="hover && borderRound" v-show="$vuetify.breakpoint.smAndDown ? !item.hideSmallDevice : true">
                        <!-- icon link -->
                        <v-list-item-icon class="py-1 mr-0 my-1">
                            <v-badge color="primary" :value="item.notifications" :content="item.notificationsMessage" :dot="!item.notificationsMessage" bordered overlap>
                                <v-icon size="28" v-if="item.iconMobile && $vuetify.breakpoint.mdAndDown" :color="hover ? iconColorOnHover : iconColor">
                                    {{ item.iconMobile }}
                                </v-icon>
                                <v-icon size="28" v-else :color="hover ? iconColorOnHover : iconColor">
                                    {{ item.icon }}
                                </v-icon>
                            </v-badge>
                        </v-list-item-icon>
                        <!-- title link -->
                        <v-list-item-content class="ml-8 pa-0" v-if="item.title">
                            <v-list-item-title class="text-h6" :class="hover && 'primary--text'">
                                {{ item.title }}
                            </v-list-item-title>
                        </v-list-item-content>
                    </v-list-item>
                </v-hover>
            </div>
        </template>
        <span>{{ item.title }}</span>
    </v-tooltip>
</template>

<script>
export default {
    props: {
        vOn: Object,
        bind: Object,
        iconColor: {
            type: String,
            default: 'black'
        },
        iconColorOnHover: {
            type: String,
            default: 'primary'
        },
        rounded: {
            type: String,
            default: 'rounded-pill'
        },
        navItem: Object,
        hideSmallDevice: Boolean,
        notifications: Boolean,
        notificationsMessage: String,
        iconMobile: String,
        icon: String,
        title: String
    },
    computed: {
        item() {
            if (this.navItem) {
                return this.navItem
            }
            console.log(this.title)
            return {
                hideSmallDevice: this.hideSmallDevice,
                notifications: this.notifications,
                notificationsMessage: this.notificationsMessage,
                iconMobile: this.iconMobile,
                icon: this.icon,
                title: this.title
            }
        },
        borderRound() {
            return this.rounded + " blue lighten-5"
        }
    }
}
</script>

<style>

</style>